﻿@inherits LayoutComponentBase

<style>
    /* Add some padding on document's body to prevent the content
        to go underneath the header and footer */
    body {
        padding-top: 60px;
        padding-bottom: 40px;
    }

    .container {
        width: 80%;
        margin: 0 auto; /* Center the DIV horizontally */
    }

    .fixed-header, .fixed-footer {
        width: 100%;
        position: fixed;
        background: #000;
        padding: 10px 0px;
        color: #fff;
    }

    .fixed-header {
        top: 0;
        left: 0;
    }

    .fixed-footer {
        bottom: 0;
        left: 0;
    }
    /* Some more styles to beutify this example */
    nav a {
        color: #fff;
        text-decoration: none;
        padding: 7px 25px;
        display: inline-block;
    }

    .scrollable {
        min-width: 1440px;
        overflow-x: auto;
    }

    .center {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 50%;
    }
</style>

<div class="page">
    <div class="fixed-header px-2">
        <div><center><h2>Content Management System</h2></center></div>
        <img style="position: fixed; left: 20px; top: 5px; height: 50px;" src="../images/roosteroil-inline.png" />
    </div>
    <div class="main">
        <div class="top-row px-20">
            <LoginDisplay />
        </div>

        <div class="content">
            @Body
        </div>
    </div>
    <div class="fixed-footer px-2">
        Copyright &copy; 2021 roosterOil Software, LLC.
    </div>
</div>
